> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `GET /api/v1/a2a/credit/:id`

> `GET /api/v1/a2a/credit/:id`

### Path parameters

<ParamField path="id" type="string" required>
  Credit terms ID (UUID)
</ParamField>

### Responses

<ResponseField name="200" type="CreditTermsResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/a2a/credit/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "available_credit": "string",
    "credit_limit": "string",
    "creditor_agent_id": "string",
    "currency": "string",
    "debtor_agent_id": "string",
    "id": "string",
    "outstanding_balance": "string",
    "payment_terms": "string",
    "status": "string"
  }
  ```
</ResponseExample>
